Update a security policy in NetApp Console local deployment
PATCH /v1/organizations/{organizationId}/securitypolicies/{securityPolicyId}
Modifies an existing security policy. Include only the fields you want to update in the request. The security policy can only be modified if there is no workload associated with it and if it is not system-defined.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
organizationId |
string |
path |
True |
Organization ID |
securityPolicyId |
string |
path |
True |
Security Policy ID
|
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
description |
string |
False |
Security policy description. |
encryptionType |
string |
False |
Encryption type setting. Should be enabled (ENABLED) or can be enabled or disabled (ANY). |
fips |
string |
False |
FIPS setting. Should be enabled (ON), disabled (OFF), or can be enabled or disabled (ANY). |
name |
string |
False |
Security policy name. |
ransomwareProtection |
string |
False |
Ransomware protection setting. Should be enabled (ON), disabled (OFF), or can be enabled or disabled (ANY). |
tags |
array[tags] |
False |
JSON array of tags (name/value pairs) associated with the performance policy. Can be used to add any additional data related to the performance policy. |
type |
string |
True |
Media type of the resource. Defined values are:
|
version |
string |
True |
Version of the resource schema. Defined values are:
|
Example request
{
"description": "Updated security policy for production workloads",
"encryptionType": "ENABLED",
"fips": "OFF",
"name": "Updated High Security Policy",
"ransomwareProtection": "OFF",
"tags": [
{
"internal:bxp:metric:complianceStatus": "compliant"
}
],
"type": "application/vnd.netapp.bxp.securitypolicy",
"version": "1.0"
}
Response
Status: 204, Security policy updated successfully.
Error
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The supplied query parameters are invalid.",
"status": "400",
"title": "Invalid query parameters",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request is missing the required bearer token.",
"status": "401",
"title": "Missing bearer token",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The requested operation isn't permitted.",
"status": "403",
"title": "Operation not permitted",
"type": "https://bluexp.netapp.io/problems/11"
}
Error
Status: 404, Not found
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The collection specified in the request URI wasn't found.",
"status": "404",
"title": "Collection not found",
"type": "https://bluexp.netapp.io/problems/2"
}
Error
Status: 409, Conflict
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request body JSON contains a field that conflicts with an idempotent value.",
"status": "409",
"title": "JSON resource conflict",
"type": "https://bluexp.netapp.io/problems/10"
}
Definitions
See Definitions
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid parameter. |
reason |
string |
True |
Reason why the parameter is invalid. |